Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFutureSynchronizerVoid

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QFutureSynchronizerVoid

All Implemented Interfaces:
  com.trolltech.qt.QtJambiInterface

    public class QFutureSynchronizerVoid

extends com.trolltech.qt.QtJambiObject

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`com.trolltech.qt.QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`com.trolltech.qt.QSignalEmitter.AbstractSignal, com.trolltech.qt.QSignalEmitter.Signal0, com.trolltech.qt.QSignalEmitter.Signal1<A>, com.trolltech.qt.QSignalEmitter.Signal2<A,B>, com.trolltech.qt.QSignalEmitter.Signal3<A,B,C>, com.trolltech.qt.QSignalEmitter.Signal4<A,B,C,D>, com.trolltech.qt.QSignalEmitter.Signal5<A,B,C,D,E>, com.trolltech.qt.QSignalEmitter.Signal6<A,B,C,D,E,F>, com.trolltech.qt.QSignalEmitter.Signal7<A,B,C,D,E,F,G>, com.trolltech.qt.QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, com.trolltech.qt.QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QFutureSynchronizerVoid()` This method is internal to Qt Jambi.
`` | `QFutureSynchronizerVoid(QFutureVoid future)` This method is internal to Qt Jambi.
`protected` | `QFutureSynchronizerVoid(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`void` | `addFuture(QFutureVoid future)` This method is internal to Qt Jambi.
`boolean` | `cancelOnWait()` This method is internal to Qt Jambi.
`void` | `clearFutures()` This method is internal to Qt Jambi.
`static QFutureSynchronizerVoid` | `fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)` This method is internal to Qt Jambi.
`java.util.List<QFutureVoid>` | `futures()` This method is internal to Qt Jambi.
`void` | `setCancelOnWait(boolean enabled)` This method is internal to Qt Jambi.
`void` | `setFuture(QFutureVoid future)` This method is internal to Qt Jambi.
`void` | `waitForFinished()` This method is internal to Qt Jambi.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QFutureSynchronizerVoid

    public QFutureSynchronizerVoid()

  This method is internal to Qt Jambi.

### QFutureSynchronizerVoid

    public QFutureSynchronizerVoid(QFutureVoid future)

  This method is internal to Qt Jambi.

### QFutureSynchronizerVoid

    protected QFutureSynchronizerVoid(com.trolltech.qt.QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### addFuture

    public final void addFuture(QFutureVoid future)

  This method is internal to Qt Jambi.

### cancelOnWait

    public final boolean cancelOnWait()

  This method is internal to Qt Jambi.

### clearFutures

    public final void clearFutures()

  This method is internal to Qt Jambi.

### setCancelOnWait

    public final void setCancelOnWait(boolean enabled)

  This method is internal to Qt Jambi.

### setFuture

    public final void setFuture(QFutureVoid future)

  This method is internal to Qt Jambi.

### waitForFinished

    public final void waitForFinished()

  This method is internal to Qt Jambi.

### fromNativePointer

    public static QFutureSynchronizerVoid fromNativePointer(com.trolltech.qt.QNativePointer nativePointer)

  This method is internal to Qt Jambi.

### futures

    public final java.util.List<QFutureVoid> futures()

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD